<?
class Template
{
	private $Vars;
	private $File;
	
	public function __construct($file)
	{
		$this->File = $file;
		$this->Vars = array();
	}
	public function GetHTML()
	{
		ob_start();
		extract($this->Vars);
		include($this->File);
		$html = ob_get_contents();
		ob_clean();
		return $html;
	}
	public function __set($name, $value)
	{
		$this->Vars[$name] = $value;
	}
	public function __get($name)
	{
		return $this->Vars[$name];
	}
	public function SetParam($name, $value)
	{
		$this->Vars[$name] = $value;
	}
	public function GetParam($name)
	{
		return $this->Vars[$name];
	}
	public function SetParams($params)
	{
		foreach($params as $key => $value)
			$this->SetParam($key, $value);		
	}
	public function Display()
	{
		echo $this->GetHTML();
	}
}
?>